<?php
/**
 * Zlick Payments Plugin
 *
 * @category  Zlick
 * @package   Zlick
 * @author    Aiman Saeed <aiman@zlick.it>
 * @copyright Copyright (c) 2021 Zlick ltd (https://www.zlick.it)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @link      https://zlick.it
 *
 * Plugin Name: Zlick Paywall
 * Plugin URI:  https://zlick.it
 * Description: Zlick Paywall Plugin for wordpress allows you to integrate phone and card payments in your Wordpress shop.
 * Version:     2.0.3
 * Author:      Aiman Saeed
 * Author URI:  aiman@zlick.it
 * Text Domain: zlick-paywall
 */

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

// define necessary variable for the site.
define( 'ZLICK_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'ZLICK_PLUGIN_NAME', 'zlick-payments' );
define( 'ZLICK_PLUGIN_VERSION', '1.0.0' );
define( 'ZLICK_PAYMENTS_STATUS_ENABLED', 1 );
define( 'ZLICK_POST_TYPE', "articles" );
define( 'ZLICK_POST_TYPE_POST', "post" );
define( 'ZLICK_PREVIEWABLE_CONTENT_PARA_DEFAULT', 2 );
define( 'ZLICK_URL', plugins_url( '', __FILE__ ) );
define( 'ZLICK_LOCAL', dirname( __FILE__ ) );
define( 'ZLICK_AJAX_URL', admin_url( 'admin-ajax.php' ) );

require_once( ZLICK_PLUGIN_DIR . 'includes/database_handler.php' );
require_once( ZLICK_PLUGIN_DIR . 'class-zlick-payments.php' );

/**
 * Gets the configurations.
 *
 * @return array
 */
function zlickpay_get_options_data( $key = 'all') {
	$zlick_options = get_option( 'zlick_payments_settings', [] );
	
	if(empty($zlick_options)){
		return;
	}

	return $key == 'all' ? $zlick_options : $zlick_options[$key];
}

require_once( ZLICK_PLUGIN_DIR . 'admin/class-zlick-payments-admin.php' );

register_activation_hook( __FILE__, array( 'Zlick_Payments', 'plugin_activation' ) );
register_deactivation_hook( __FILE__, array( 'Zlick_Payments', 'plugin_deactivation' ) );

add_action( 'init', array( 'Zlick_Payments', 'init' ) );

require_once( ZLICK_PLUGIN_DIR . 'includes/validate_jwt.php');
require_once( ZLICK_PLUGIN_DIR . 'includes/user.php');

/**
 * Register Zlick Payment ShortCodes.
 */
require_once( ZLICK_PLUGIN_DIR . 'public/shortcodes/zlick-widget.php' );
